Author Topic: plot reveals dots not apparent on screen  (Read 7967 times)

0 Members and 1 Guest are viewing this topic.

Kate M

  • Guest
Re: plot reveals dots not apparent on screen
« Reply #15 on: January 29, 2008, 01:19:28 PM »
what is pdmode and what does it do?  :evil: Don't mean to be stubborn after asking for help, but I don't like making changes without knowing what I am causing.  :roll:
A great attitude for learning, IMHO :-)

my question is how did the leader endpoint get on that layer?  By the very nature of dimensions and the layer defpoints, those dots should have been on defpoints.  Unless they had lost their defpointedness as Bob stated
It's an old bug -- if you turn off an xrefed layer containing leaders, the arrowheads still plot. However, if you freeze the layer instead, they won't plot.

Bethrine

  • Guest
Re: plot reveals dots not apparent on screen
« Reply #16 on: January 29, 2008, 04:02:13 PM »
Yes, I froze the layer in the X-ref'd dwg. And thanks Kate! I want to know as much as possible!  :-D

...updating signature to current version of CAD in use...

whdjr

  • Guest
Re: plot reveals dots not apparent on screen
« Reply #17 on: February 12, 2008, 02:18:22 PM »
For all of you that might have exploded dimensions or lost points flying around, this will remove them.
Code: [Select]
; Pointkill - removes all points from a drawing.
 ; By SW for Rocket Software  Copyright 1991
 ; Sorry, Suerat.
(DEFUN C:PKILL (/ hi ss pos num rad so txa pa dell)
  (setvar "cmdecho" 0)
  (setq hi (getvar "highlight"))
  (setq ss (ssget "X" '((0 . "POINT"))))
  (setq pos 0)
  (if ss
    (progn
      (setq num (itoa (sslength ss)))
      (write-line (strcat "Points found: " num))
      (setq
rad (/ (- (car (getvar "extmax")) (car (getvar "extmin"))) 25)
      )
      (while (setq so (ssname ss pos))
(setq pa (cdr (assoc 10 (entget so))))
(grdraw (polar pa (/ pi 4) rad)
(polar pa (* 1.25 pi) rad)
7
)
(grdraw (polar pa (* pi 0.75) rad)
(polar pa (* pi 1.75) rad)
7
)
(setq pos (1+ pos))
      )
      (setq dell (getstring "Eradicate them? <Y>: "))
      (if (or (= dell "Y") (= dell "y") (= dell ""))
(progn
  (command "erase" ss "")
  (write-line (strcat "\nPoints destroyed: " num))
)
      )
    )
    (write-line "No points found.")
  )
  (setvar "highlight" hi)
  (PRINC)
)